MongoCollection::ensureIndex
MongoCollection::findOne
MongoCollection
PHP Manual

# MongoCollection::find

(PECL mongo >=0.9.0)

MongoCollection::find — Interroge une collection

### Description

public MongoCursor MongoCollection::find ([ array `$query`= array() [, array `$fields`= array() ]] )

### Liste de paramètres

`query`

  Les champs à chercher.

`fields`

  Les champs du résultat à retourner.

### Valeurs de retour

Retourne un curseur pour les résultats de recherche.

### Exemples

Exemple #1 Exemple avec MongoCollection::find()

Cet exemple montre comment rechercher un intervalle.

`<?php
// recherche les documents dont l'identifiant est entre 5 < x < 20
$rangeQuery = array('x' => array( '$gt' => 5, '$lt' => 20 ));
$cursor = $collection->find($rangeQuery);
?>`

MongoCollection::ensureIndex
MongoCollection::findOne
MongoCollection
PHP Manual